FORUMS

Google No Longer Sending Calendar SMS Notifications

In a not entirely surprising move, Google announced that it’s putting an … more

Enable Multi-Window Mode on M Developer Preview

What was not mentioned in yeterday’s keynote was Android M’s multi-window … more

I/O Summary: Google Cardboard Virtual Reality

One year ago, Google introduced cardboard. Amazingly enough, that was all it took to fire … more

Android M Preview Images – XDA TV

Android M preview images are available. That and much more news is covered by Jordan when he … more

USB Host mode on Defy

Thanks Meter: 17
 
By MAPGPS, Junior Member on 19th February 2011, 01:51 PM
Post Reply Subscribe to Thread Email Thread
12th January 2012, 02:13 AM |#71  
hackergnome's Avatar
Recognized Contributor
Flag Mumbai
Thanks Meter: 872
 
Donate to Me
More
Quote:
Originally Posted by sam_24

I was abel to build a OTG-Cable but i can't get the software to run

otg cable pinout

micro usb usb-stick
1----------Vss--------------1
2----------D- --------------2
3----------D+ --------------3
4----------ID ---|
5----------Gnd--|-----------4

ID und GND connectet with switch

CM9 2.3.4 kernel 2.01.2012
shows that the device is in Host-Mode

error output
root@android:/dev/usb # insmod scsi_mod.ko insmod: init_module 'scsi_mod.ko' failed (Exec format error)

Read my post above I got the same error... in my case it was coz I din specify busy box path did u?

2 1 2012?
I think that's froyo kernel by quarx!
Can u try eppy's build?


Sent from my MB526 using xda premium
Last edited by hackergnome; 12th January 2012 at 02:16 AM.
 
 
12th January 2012, 11:09 PM |#72  
sam_24's Avatar
Junior Member
Flag Stuttgart
Thanks Meter: 30
 
Donate to Me
More
Quote:
Originally Posted by nogoodusername

Read my post above I got the same error... in my case it was coz I din specify busy box path did u?

Can u try eppy's build?

i will try it tomorrow
is busybox already installed on eppy build?
is path /system/xbin/busybox ?
13th January 2012, 05:28 AM |#73  
hackergnome's Avatar
Recognized Contributor
Flag Mumbai
Thanks Meter: 872
 
Donate to Me
More
Quote:
Originally Posted by sam_24

i will try it tomorrow
is busybox already installed on eppy build?
is path /system/xbin/busybox ?

Yup ur right...
But I can't get it to work now even on gb kernel!...
Exec error...
Will try a fresh copy again...
Sent from my MB526 using xda premium
14th January 2012, 03:40 AM |#74  
Junior Member
Flag Buenos Aires
Thanks Meter: 1
 
Donate to Me
More
Quote:
Originally Posted by nogoodusername

Yup ur right...
But I can't get it to work now even on gb kernel!...
Exec error...
Will try a fresh copy again...
Sent from my MB526 using xda premium

Guys, I've trying this too and found that after you try to run the script and get those errors, if you run "dmesg" it shows:

"ext2: version magic '2.6.29 preempt mod_unload ARMv7 ' should be '2.6.32.9 preempt mod_unload ARMv7 '"

After googling this, I confirmed that it's because these modules were compiled with an old kernel (2.6.29) and I have 2.6.32

If there only was an option to force it...
14th January 2012, 05:31 AM |#75  
hackergnome's Avatar
Recognized Contributor
Flag Mumbai
Thanks Meter: 872
 
Donate to Me
More
Quote:
Originally Posted by elnacho12

Guys, I've trying this too and found that after you try to run the script and get those errors, if you run "dmesg" it shows:

"ext2: version magic '2.6.29 preempt mod_unload ARMv7 ' should be '2.6.32.9 preempt mod_unload ARMv7 '"

After googling this, I confirmed that it's because these modules were compiled with an old kernel (2.6.29) and I have 2.6.32

If there only was an option to force it...

i saw that too!
but y did it work on the cm9 u can see...
i forgot to take screenshot of dmesg!

Sent from my MB525 using xda premium
14th January 2012, 12:08 PM |#76  
vishal24387's Avatar
Recognized Contributor
Flag Solapur, Maharashtra
Thanks Meter: 1,746
 
More
Quote:
Originally Posted by elnacho12

Guys, I've trying this too and found that after you try to run the script and get those errors, if you run "dmesg" it shows:

"ext2: version magic '2.6.29 preempt mod_unload ARMv7 ' should be '2.6.32.9 preempt mod_unload ARMv7 '"

After googling this, I confirmed that it's because these modules were compiled with an old kernel (2.6.29) and I have 2.6.32

If there only was an option to force it...

try to creat those modules with referance to new kernel 2.6.32 & then try again.
15th January 2012, 04:36 AM |#77  
Junior Member
Flag HuaiNan City AnHui Province
Thanks Meter: 1
 
Donate to Me
More
if you want to flash a sbf ,the kernel must be signed.
15th January 2012, 11:11 PM |#78  
walter79's Avatar
Recognized Developer
Flag #484047
Thanks Meter: 3,706
 
Donate to Me
More
Scripts did not work on Gingerbread.

"invalid module format"

Did it only works with old kernel?

I use Galaxy S2 cable.

---------- Post added 16th January 2012 at 12:11 AM ---------- Previous post was 15th January 2012 at 11:41 PM ----------

Maybe this help.

2.6.32.9 kernel modules.

http://sven.killig.de/android/N1/2.2/usb_host/
Last edited by walter79; 15th January 2012 at 10:43 PM.
29th January 2012, 09:20 PM |#79  
Member
Thanks Meter: 37
 
More
Question
Any hope in getting USB host working on the Defy? Or will an unlocked bootloader the only possibility?
I thought some people were close in getting it working? I would really like this option!
1st February 2012, 03:27 AM |#80  
walter79's Avatar
Recognized Developer
Flag #484047
Thanks Meter: 3,706
 
Donate to Me
More
Quote:
Originally Posted by GuustFlater89

Any hope in getting USB host working on the Defy? Or will an unlocked bootloader the only possibility?
I thought some people were close in getting it working? I would really like this option!

Strago will try to build new modules for 2.6.32 kernel.
The Following User Says Thank You to walter79 For This Useful Post: [ View ]
Post Reply Subscribe to Thread
Previous Thread Next Thread
Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes